---
updatedAt: 2026-05-21T16:42:54.000Z
---

# Retrieve the list of voice one-time password enrollments.

Retrieve the list of voice one-time password enrollments.<br><br><b>Entitlements:</b><br> - manageEnrollMFAMethodAnyUser (Manage second-factor authentication enrollment for all users)<br> - manageEnrollMFAMethod (Manage own second-factor authentication enrollment)<br> - readEnrollMFAMethodAnyUser (Read second-factor authentication enrollment for all users)<br> - readEnrollMFAMethod (Read own second-factor authentication enrollment)

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "Multi-factor authentication",
    "title": "Multi-factor authentication"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Voice One-time Password"
    }
  ],
  "paths": {
    "/v2.0/factors/voiceotp": {
      "get": {
        "tags": [
          "Voice One-time Password"
        ],
        "summary": "Retrieve the list of voice one-time password enrollments.",
        "description": "Retrieve the list of voice one-time password enrollments.<br><br><b>Entitlements:</b><br> - manageEnrollMFAMethodAnyUser (Manage second-factor authentication enrollment for all users)<br> - manageEnrollMFAMethod (Manage own second-factor authentication enrollment)<br> - readEnrollMFAMethodAnyUser (Read second-factor authentication enrollment for all users)<br> - readEnrollMFAMethod (Read own second-factor authentication enrollment)",
        "operationId": "listVoiceotpEnrollments_2.0",
        "parameters": [
          {
            "name": "pagination",
            "in": "query",
            "description": "Controls the results that are returned in a page.<br><br>You can use the following query parameters:<br><br><b>page</b> - Use to identify the requested page, or the offset.<br><br><b>limit</b> - Use to define the total number of results that are returned per page. The maximum allowed value is 1000.<br><br>A maximum of 200 results are returned if no pagination query parameters are passed.<br><br><b>Note</b>: The pagination parameter value must be HTML encoded. Use the prefix \"pagination=\" in the query parameter.<br><br><b>Example</b>: Paginate on page=1&limit=5<br>pagination=page%3D1%26limit%3D5",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Returns results based on the search criteria.<br><br>Valid operators for Strings are = , != and contains. Use double quotation marks for the search values.<br>Valid operators for Booleans are = and !=<br>Valid operators for Numbers are >=, >, &lt;=, &lt;, = and !=<br><br><b>Note</b>: The search parameter value must be HTML encoded. Use the prefix \"search=\" in the query parameter.<br><br><b>Example</b>: Search on id contains \"fd45\"&enabled=true<br>search=id%20contains%20%22fd45%22%26enabled%3Dtrue",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter",
            "in": "query",
            "description": "Displays results based on the filter criteria.<br><br>Filter values to be inclusive or exclusive only. It cannot be combined.<br><br>Use a comma (,) to separate multiple filter parameters.<br><br><b>Note</b>: The filter parameter value must be HTML encoded. Use the prefix \"filter=\" in the query parameter.<br><br><b>Examples</b><br>Filter to return only id : filter=id<br>Filter to exclude id and enabled : filter=%21id,enabled",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of voice one-time password enrollments.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VoiceotpEnrollments_2.0"
                }
              }
            }
          },
          "401": {
            "description": "The unauthenticated user does not have the permissions to perform the requested operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Unauthorized_1"
                }
              }
            }
          },
          "403": {
            "description": "The authenticated user does not have the permissions to perform the requested operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Forbidden_2"
                }
              }
            }
          },
          "501": {
            "description": "Access to the requested resource is disabled",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotImplemented"
                }
              }
            }
          }
        },
        "x-category": "Multi-factor authentication",
        "x-publicAPI": "true"
      }
    }
  },
  "components": {
    "schemas": {
      "NotImplemented": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "Access to the requested resource is disabled"
          }
        },
        "description": "The message response to the request."
      },
      "VoiceotpEnrollment_2.0": {
        "required": [
          "attributes",
          "created",
          "enabled",
          "id",
          "type",
          "updated",
          "userId",
          "validated"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of the enrollment",
            "readOnly": true,
            "example": "1e5fa156-3754-4265-8796-1a2f0a6f036f"
          },
          "userId": {
            "type": "string",
            "description": "The unique identifier of the associated user",
            "readOnly": true,
            "example": "50CP15KFD3"
          },
          "type": {
            "type": "string",
            "description": "The type of authentication factor enrollment",
            "readOnly": true,
            "example": "voiceotp"
          },
          "created": {
            "type": "string",
            "description": "The creation time of the enrollment",
            "readOnly": true,
            "example": "2018-07-16T02:13:47.719Z"
          },
          "updated": {
            "type": "string",
            "description": "The time the enrollment was last updated",
            "readOnly": true,
            "example": "2018-07-16T02:13:47.719Z"
          },
          "attempted": {
            "type": "string",
            "description": "The time the enrollment was last used for verification",
            "readOnly": true,
            "example": "2018-07-16T02:13:47.719Z"
          },
          "enabled": {
            "type": "boolean",
            "description": "The enabled state of the enrollment to be used in runtime flows",
            "example": true
          },
          "validated": {
            "type": "boolean",
            "description": "The validation state of the enrollment",
            "readOnly": true,
            "example": true
          },
          "attributes": {
            "$ref": "#/components/schemas/VoiceotpEnrollmentAttributes_2.0"
          }
        },
        "description": "A voice one-time password enrollment."
      },
      "VoiceotpEnrollmentAttributes_2.0": {
        "required": [
          "phoneNumber"
        ],
        "type": "object",
        "properties": {
          "phoneNumber": {
            "type": "string",
            "description": "The phone number to be used to deliver one-time password values",
            "example": "+15345678911"
          }
        },
        "description": "A voice one-time password enrollment attributes."
      },
      "VoiceotpEnrollments_2.0": {
        "required": [
          "count",
          "limit",
          "page",
          "total",
          "voiceotp"
        ],
        "type": "object",
        "properties": {
          "voiceotp": {
            "type": "array",
            "description": "The list of voice one-time password enrollments",
            "items": {
              "$ref": "#/components/schemas/VoiceotpEnrollment_2.0"
            }
          },
          "count": {
            "type": "integer",
            "description": "The total number of results that are returned per page",
            "format": "int32",
            "example": 200
          },
          "limit": {
            "type": "integer",
            "description": "The total number of results that are returned per page",
            "format": "int32",
            "example": 200
          },
          "page": {
            "type": "integer",
            "description": "The requested page, or the offset",
            "format": "int32",
            "example": 1
          },
          "total": {
            "type": "integer",
            "description": "The number of results returned in the page",
            "format": "int32",
            "example": 153
          }
        },
        "description": "The list of voice one-time password enrollments."
      },
      "Forbidden_2": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The access token included in the request is not valid"
          }
        },
        "description": "The message response to the request."
      },
      "Unauthorized_1": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The unauthenticated user does not have the permissions to perform the requested operation"
          }
        },
        "description": "The message response to the request."
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```